#
# spec file for package gnome-objc (Version 1.0.40)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gobjc gtk gtk-devel imlib imlib-devel indent libjpeg libpng libtiff libungif orbit orbit-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gobjc gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnome-objc
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    1997, The GNOME Team
Group:        X11/GNOME/Development
Provides:     gnobjc
Obsoletes:    gnobjc
Autoreqprov:  on
Version:      1.0.40
Release:      229
Summary:      The GNOME Objective-C language bindings
Source:       ftp://ftp.gnome.org/pub/GNOME/sources/gnome-objc/gnome-objc-%{version}.tar.bz2
BuildRoot:    /var/tmp/build-gnome-objc-root

%description
With this extension package one is able to write GNOME programs in
Objective-C.
Documentation:
GNOME online help
/usr/share/doc/packages/gnome

Authors:
--------
    Carsten Schaar <nhadcasc@fs-maphy.uni-hannover.de>
    Elliot Lee <sopwith@cuc.edu>
    Federico Mena Quintero <federico@nuclecu.unam.mx>
    Kjartan Maraas <kmaraas@fib.hl.no>
    Marc Ewing <marc@redhat.com>
    Martin Baulig <baulig@merkur.uni-trier.de>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Raja R Harinath <harinath@cs.umn.edu>
    Timo Sirainen <a@sicom.fi>
    Tom Tromey <tromey@cygnus.com>

SuSE series: gnm

%prep
%setup
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir

%build
make 

%install
make install prefix=$RPM_BUILD_ROOT%{prefix} \
                  sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING COPYING.LIB NEWS README
%{prefix}/bin/*
%{prefix}/include/*
%{prefix}/lib/*
%{prefix}/share/locale/*/*/*

%changelog -n gnome-objc
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel package to #neededforbuild
* Fri Dec 29 2000 - egger@suse.de
- Cleaned up specfile.
- Recompressed with bzip2.
* Mon Nov 27 2000 - uli@suse.de
- fixed neededforbuild
* Thu Nov 09 2000 - ro@suse.de
- spec-file rework for Obsoletes/Provides
* Mon Nov 06 2000 - ro@suse.de
- added forgotten Obsoletes
* Sat Nov 04 2000 - kukuk@suse.de
- fix neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Oct 01 2000 - egger@suse.de
- Added %%{?suse_update_config:%%{suse_update_config -f}} for EV7.
* Sun Oct 01 2000 - egger@suse.de
- remove unnecessary termcap from #neededforbuild.
* Fri Sep 29 2000 - hhetter@suse.de
- removed make -j 4 calls from specfile
* Thu Aug 31 2000 - egger@suse.de
- Updated to version 1.0.40
* Fri Jun 02 2000 - uli@suse.de
- moved docs to /usr/share/doc
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Wed Jun 30 1999 - ke@suse.de
- #neededforbuild libungif
* Wed Apr 21 1999 - ke@suse.de
- filelist (add %%{prefix}/bin/obgnome-config).
* Tue Apr 20 1999 - ke@suse.de
- update: version 1.0.2.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 04 1999 - ke@suse.de
- update: version 1.0.1.
* Tue Mar 02 1999 - ke@suse.de
- update: version 1.0.0 (pre).
* Fri Feb 19 1999 - ro@suse.de
- added esound and audiofil to neededforbuild
* Sun Feb 14 1999 - ke@suse.de
- update: version 0.99.8.
- use rpm macros (%%prefix, etc.).
- construct new filelist.
* Tue Feb 02 1999 - ke@suse.de
- improve filelist.
- use "Docdir:".
- update gnobjc.test.
* Mon Jan 25 1999 - ro@suse.de
- update to 0.99.3
- added orbit/orbitdev to neededforbuild
* Thu Jan 14 1999 - ke@suse.de
- require bc and termcap.
* Sat Jan 09 1999 - ke@suse.de
- update: version 0.99.1.
- use BuildRoot.
* Thu Jul 09 1998 - maddin@suse.de
- first S.u.S.E. version
